require_relative 'test_helper'

module BinderSDK
  class MockerTest < Minitest::Test

    def test_mock_switches_classes
      BinderSDK.mock!
      assert BinderSDK.const_defined?(:UserOriginal)
      assert BinderSDK.const_defined?(:User)
      refute BinderSDK.const_defined?(:UserMock)
    ensure
      BinderSDK::Mocker.unmock!
    end

    def test_mock_substitutes_in_mock_classes
      BinderSDK.mock!

      id = 1
      Loquor::HttpAction::Get.expects(:get).never
      assert id, User.find('id').id
    ensure
      BinderSDK::Mocker.unmock!
    end

    def test_mock_sample_returns_media_file_with_attributes
      BinderSDK.mock!

      user = User.sample
      assert_equal user.email, "jez.walker@gmail.com"
      assert_equal user.name, "Jeremy Walker"
    ensure
      BinderSDK::Mocker.unmock!
    end
  end
end
